unit Declares;

interface

function riMakeRegItFile (FileName: PChar; var MagicNumber: LongInt): Integer; 
function riGetSerialNumber (FileName, SerialNumber: PChar; var MagicNumber: LongInt): Integer; 
function riWriteVersion (FileName: PChar; var MagicNumber: LongInt; VersionNumber: Integer): Integer; 
function riGetVersion (FileName: PChar; var MagicNumber: LongInt; var VersionNumber: Integer): Integer; 
function riWriteUserInfo(FileName, UserName, Company: PChar; var MagicNumber: LongInt): Integer; 
function riGetUserInfo(FileName, UserName, Company: PChar; var MagicNumber: LongInt): Integer; 
function riMakeRegNum(SerialNumber, RegistrationNumber: PChar;
   AccessCode, Month, Day, Year, Users: Integer): Integer; 
function riCheckRegNum(FileName, RegistrationNumber: PChar; var MagicNumber: LongInt): Integer; 
function riRegisterProgram(FileName, RegistrationNumber: PChar; var MagicNumber: LongInt): Integer; 
function riSeeIsRegistered(FileName: PChar;  var MagicNumber: LongInt): Integer; 
function riGetAccCode(FileName: PChar; var MagicNumber: LongInt; var AccCode: Integer): Integer; 
function riWriteOther(FileName, Info1, Info2, Info3, Info4, Info5: PChar; var MagicNumber: LongInt): Integer; 
function riGetOther(FileName, Info1, Info2, Info3, Info4, Info5: PChar; var MagicNumber: LongInt): Integer; 
function riStartProgram(FileName: PChar; var MagicNumber: LongInt): Integer; 
function riEndProgram(FileName: PChar; var MagicNumber: LongInt): Integer; 
function riGetTimeUsed(FileName: PChar; var MagicNumber: LongInt; var Days, Hours, Minutes,
 Seconds, Runs: LongInt): Integer; 
function riSetFileTime(FileName, TheTime: PChar; var MagicNumber: LongInt): Integer; 
function riFileExist(FileName: PChar): Integer; 
function riIsComputerSame(FileName: PChar; var MagicNumber: LongInt): Integer; 
function riGetPersonalInfo(APChar: PChar): LongInt; 
function riFindCRC(FileToDo: PChar): LongInt; 
function riSaveDate (FileName, TheDate: PChar; var MagicNumber: LongInt): Integer; 
function riCheckDate (FileName: PChar; var MagicNumber: LongInt): Integer; 
function riGetDate (FileName, TheDate: PChar; var MagicNumber: LongInt): Integer; 
function riGetExpirationDate (FileName: PChar; var MagicNumber: LongInt; var Month, Day, Year: Integer): Integer; 
function riGetNumUsers (FileName: PChar; var MagicNumber: LongInt; var NumUsers: Integer): Integer;

implementation             {==============================================}

function riMakeRegItFile (FileName: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riGetSerialNumber (FileName, SerialNumber: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riWriteVersion (FileName: PChar; var MagicNumber: LongInt; VersionNumber: Integer): Integer; external 'regitb16';
function riGetVersion (FileName: PChar; var MagicNumber: LongInt; var VersionNumber: Integer): Integer; external 'regitb16';
function riWriteUserInfo(FileName, UserName, Company: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riGetUserInfo(FileName, UserName, Company: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riMakeRegNum(SerialNumber, RegistrationNumber: PChar;
   AccessCode, Month, Day, Year, Users: Integer): Integer; external 'regitb16';
function riCheckRegNum(FileName, RegistrationNumber: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riRegisterProgram(FileName, RegistrationNumber: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riSeeIsRegistered(FileName: PChar;  var MagicNumber: LongInt): Integer; external 'regitb16';
function riGetAccCode(FileName: PChar; var MagicNumber: LongInt; var AccCode: Integer): Integer; external 'regitb16';
function riWriteOther(FileName, Info1, Info2, Info3, Info4, Info5: PChar; var MagicNumber: LongInt): Integer;
     external 'regitb16';
function riGetOther(FileName, Info1,Info2,Info3,Info4,Info5: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riStartProgram(FileName: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riEndProgram(FileName: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riGetTimeUsed(FileName: PChar; var MagicNumber: LongInt; var Days, Hours, Minutes,
 Seconds, Runs: LongInt): Integer; external 'regitb16';
function riSetFileTime(FileName, TheTime: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riFileExist(FileName: PChar): Integer; external 'regitb16';
function riIsComputerSame(FileName: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riGetPersonalInfo(APChar: PChar): LongInt; external 'regitb16';
function riFindCRC(FileToDo: PChar): LongInt; external 'regitb16';
function riSaveDate (FileName, TheDate: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riCheckDate (FileName: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riGetDate (FileName, TheDate: PChar; var MagicNumber: LongInt): Integer; external 'regitb16';
function riGetExpirationDate (FileName: PChar; var MagicNumber: LongInt; var Month, Day, Year: Integer): Integer;
      external 'regitb16';
function riGetNumUsers (FileName: PChar; var MagicNumber: LongInt; var NumUsers: Integer): Integer; external 'regitb16';

end.
